> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 技术统计

> Technology Stats 端点将为您提供历史数据，涵盖不同国家和语言中使用指定……的域名数量。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/domain_analytics/technologies/technology_stats/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/domain_analytics/technologies/technology_stats/live:
    post:
      summary: 技术统计
      description: Technology Stats 端点将提供历史数据，展示不同国家和语言中使用指定技术的域名数量。
      operationId: post_dataforseo_domain_analytics_technologies_technology_stats_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                technology:
                  type: string
                  description: 目标技术，必填字段；可在此页面查看可指定的完整技术列表；示例："Salesforce"
                date_from:
                  type: string
                  description: >-
                    时间范围的开始日期；可选字段；最小值：2022-10-31；如果未指定此字段，将默认使用最小值；日期格式："yyyy-mm-dd"；示例："2023-06-01"
                date_to:
                  type: string
                  description: >-
                    时间范围的结束日期，可选字段。如果未指定此字段，默认使用当天日期。日期格式："yyyy-mm-dd"
                    示例："2023-01-15"
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - technology
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.technology:
                    type: string
                    description: 目标技术
                  tasks.result.date_from:
                    type: string
                    description: 时间范围的起始日期
                  tasks.result.date_to:
                    type: string
                    description: 时间范围的结束日期
                  tasks.result.items_count:
                    type: integer
                    description: results 数组中的项目数量
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: items 数组
                  tasks.result.items.type:
                    type: string
                    description: 项目类型 = ‘technology_stats_item’
                  tasks.result.items.date:
                    type: string
                    description: 所提供数据对应的日期
                  tasks.result.items.domains_count:
                    type: integer
                    description: 使用指定技术的域名数量
                  tasks.result.items.countries:
                    type: object
                    description: 网站按国家/地区的分布，包含国家/地区代码以及每个国家/地区的网站数量
                  tasks.result.items.languages:
                    type: object
                    description: 按语言划分的网站分布，包含语言代码及每种语言对应的网站数量
                  tasks.result.items.domains_rank:
                    type: object
                    description: >-
                      按反向链接排名划分的网站分布，包含域名排名区间以及每个区间内的网站数量。有关排名及其计算方式的更多信息，请参阅此帮助中心文章
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````